<?php
namespace Claromentis\Core\Ai\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_7f628626dd1" . "d55c71b1fc09" . "32ffd1d2c" => base64_decode("aXNfYXJyYX" . "k="), "_58f9cd2f97dbf" . "4d2db74ab02504" . "a90b9" => base64_decode("YXJyYXlfcmV2Z" . "XJzZQ=="), "_4d707fab93bebb00" . "bbe69e8159697c90" => base64_decode(""), "_63320be23a35" . "daabeeb7422b5" . "6f6b894" => base64_decode("YXVkaXRJbWF" . "nZVByb21wdA" . "=="), "_9247c1342b3931513e7d846ad4639" . "bb4" => base64_decode("YXVka" . "XRDaG" . "F0UHJ" . "vbXB0"), "_4b878be3b984a2ace7" . "d2dc22b5f59289" => base64_decode("YXVkaXRUZXh0" . "UHJvbXB0"), "_79d426f9e30060" . "d8279a1da0a9c6b" . "af1" => base64_decode("UHJv" . "bXB0" . "OiAi"), "_e92ad742fc12ec1dd5c30557fafca33" . "1" => base64_decode("Ig=" . "="), "_5e30c4717ced36" . "cff9e93e19a5c57" . "6cc" => base64_decode("aXNfc3R" . "yaW5n"));
use Claromentis\Core\Ai\AiServiceProvider;
use Claromentis\Core\Ai\Events\AiEvent;
use Claromentis\Core\Ai\Events\AiEventType;
use Claromentis\Core\Ai\Parts\PartInterface;
use Claromentis\Core\Ai\Parts\TextPart;
use Claromentis\Core\Audit\Audit;
use Claromentis\Core\Security\SecurityContext;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
class AuditSubscriber implements EventSubscriberInterface
{
    
    
    
    
    protected Audit $audit;
    
    
    
    
    
    
    public function __construct(Audit $audit)
    {
        $this->audit = $audit;
    }
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents() : array
    {
        return [AiEventType::TEXT_PROMPT => $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4b878be3b984a2ace7d2dc2" . "2b5f59289"], AiEventType::CHAT_PROMPT => $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_9247c1342b3931513e7d846ad4639b" . "b4"], AiEventType::IMAGE_PROMPT => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_63320be23a35daabeeb7422b56f6" . "b894"]];
    }
    
    
    
    
    
    
    
    public function auditTextPrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::TEXT_PROMPT);
    }
    
    
    
    
    
    
    
    public function auditChatPrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::CHAT_PROMPT);
    }
    
    
    
    
    
    
    
    public function auditImagePrompt(AiEvent $event) : void
    {
        $this->handlePromptAudit($event, AiEventType::IMAGE_PROMPT);
    }
    
    
    
    
    
    
    
    
    private function handlePromptAudit(AiEvent $event, string $_18c3ae9a896c5ec6d2e49d0d9d3852f2) : void
    {
        $_9961f986823b4be7f5c4cc8379c6b228 = $event->getParts();
        $text = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe69e8159697c" . "90"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_7f62862" . "6dd1d55c" . "71b1fc09" . "32ffd1d2" . "c"]($_9961f986823b4be7f5c4cc8379c6b228)) {
            $_9961f986823b4be7f5c4cc8379c6b228 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_58f9cd2" . "f97dbf4d" . "2db74ab0" . "2504a90b" . "9"]($_9961f986823b4be7f5c4cc8379c6b228);
            foreach ($_9961f986823b4be7f5c4cc8379c6b228 as $_d962cfd1735adb2dfba46f69c7f15cb8) {
                
                
                if ($_d962cfd1735adb2dfba46f69c7f15cb8 instanceof TextPart && $_d962cfd1735adb2dfba46f69c7f15cb8->getRole() === PartInterface::PART_ROLE_USER) {
                    $text = $_d962cfd1735adb2dfba46f69c7f15cb8->getValue();
                    break;
                }
            }
        } else {
            if ($_9961f986823b4be7f5c4cc8379c6b228 instanceof TextPart) {
                $text = $_9961f986823b4be7f5c4cc8379c6b228->getValue();
            } else {
                if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_5e30c4717ced36cff9e93e1" . "9a5c576cc"]($_9961f986823b4be7f5c4cc8379c6b228)) {
                    $text = $_9961f986823b4be7f5c4cc8379c6b228;
                }
            }
        }
        
        
        if (empty($text)) {
            return;
        }
        $this->audit->Success(AiServiceProvider::NAME, $_18c3ae9a896c5ec6d2e49d0d9d3852f2, 0, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_79d426f9e30060d8279a1da0a9c6b" . "af1"] . $text . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e92ad742fc12ec1dd5c30557fafca3" . "31"]);
    }
}